function curtains_fabric_openNav() {
  jQuery(".sidenav").addClass('show');
}
function curtains_fabric_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function curtains_fabric_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const curtains_fabric_nav = document.querySelector( '.sidenav' );

      if ( ! curtains_fabric_nav || ! curtains_fabric_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...curtains_fabric_nav.querySelectorAll( 'input, a, button' )],
        curtains_fabric_lastEl = elements[ elements.length - 1 ],
        curtains_fabric_firstEl = elements[0],
        curtains_fabric_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && curtains_fabric_lastEl === curtains_fabric_activeEl ) {
        e.preventDefault();
        curtains_fabric_firstEl.focus();
      }

      if ( shiftKey && tabKey && curtains_fabric_firstEl === curtains_fabric_activeEl ) {
        e.preventDefault();
        curtains_fabric_lastEl.focus();
      }
    } );
  }
  curtains_fabric_keepFocusInMenu();
} )( window, document );

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
  var owl = jQuery('#slider-post .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fa fa-lg fa-caret-left"></i>','<i class="fa fa-lg fa-caret-right"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });

  var owl = jQuery('.product-sec .owl-carousel');
    owl.owlCarousel({
    margin: 20,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 2
      },
      1000: {
        items: 3
      },
      1200: {
        items: 4
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery('.header-search-wrapper .search-main').click(function(){
    jQuery('.search-form-main').toggleClass('active-search');
    jQuery('.search-form-main .search-field').focus();
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});